LOSETUP(8)

NAME
losetup - set up and control loop devices

SYNOPSIS
losetup [ -e encryption ] [ -o offset ] [ -p num ] loop_device file
losetup [ -d ] loop_device

DESCRIPTION
losetup is used to associate loop devices with regular files or block devices, to detach loop devices and to query the status of a loop device. If only the loop_device argument is given, the status of the corresponding loop device is shown.

OPTIONS

--delete, --detach, -d
    detach the file or device associated with the specified loop device.

--encryption, -e encryption
    enable data encryption. The following keywords are recognized:

    NONE
        use no encryption (default).
    XOR use a simple XOR encryption.
    AES use Advanced Encryption Standard encryption. AES encryption is only available if you are using the international kernel and AES encryption has been enabled in the Crypto API. enabled in the Crypto API.
    Blowfish
        use Blowfish encryption. Blowfish encryption is only available if you are using the international kernel and Blowfish encryption has been enabled in the Crypto API.
    Twofish
        use Twofish encryption. Twofish encryption is only available if you are using the international kernel and Twofish encryption has been enabled in the Crypto API.
    CAST
        use CAST encryption. CAST encryption is only available if you are using the international kernel and CAST encryption has been enabled in the Crypto API.
    DES use DES encryption. DES encryption is only available if the optional DES package has been added to the kernel. DES encryption uses an additional start value that is used to protect passwords against dictionary attacks. Use of DES is deprecated.
    DFC use DFC encryption. DFC encryption is only available if you are using the international kernel and DFC encryption has been enabled in the Crypto API.
    IDEA
        use IDEA encryption. IDEA encryption is only available if you are using the international kernel and IDEA encryption has been enabled in the Crypto API.
    MARS
        use MARS encryption. MARS encryption is only available if you are using the international kernel and MARS encryption has been enabled in the Crypto API.
    RC5 use RC5 encryption. RC5 encryption is only available if you are using the international kernel and RC5 encryption has been enabled in the Crypto API.
    RC6 use RC6 encryption. RC6 encryption is only available if you are using the international kernel and RC6 encryption has been enabled in the Crypto API.
    Serpent
        use Serpent encryption. Serpent encryption is only available if you are using the international kernel and Serpent encryption has been enabled in the Crypto API.

--offset, -o offset
    the data start is moved offset bytes into the specified file or device.

--pass-fd, -p num
    read the passphrase from file descriptor num instead of the terminal.

--keybits, -k num
    set the number of bits to use in key to num.

RETURN VALUE
losetup returns 0 on success, nonzero on failure. When losetup displays the status of a loop device, it returns 1 if the device is not configured and 2 if an error occurred which prevented losetup from determining the status of the device.

FILES
/dev/loop0,/dev/loop1,...   loop devices (major=7)
/proc/cipher/*              available ciphers

EXAMPLE
If you are using the loadable module you must have the module loaded first with the command

    # insmod loop.o

The following commands can be used as an example of using the loop device.

    dd if=/dev/zero of=/file bs=1k count=100
    losetup -e blowfish /dev/loop0 /file
    Password :
    mkfs -t ext2 /dev/loop0 100
    mount -t ext2 /dev/loop0 /mnt
     ...
    umount /dev/loop0
    losetup -d /dev/loop0

If you are using the loadable module you may remove the module with the command

    # rmmod loop

RESTRICTIONS
DES encryption is painfully slow. On the other hand, XOR is terribly weak. Both are insecure nowadays. Some ciphers require a licence for you to be allowed to use them.

BUGS
CAST, DES, RC5 and Twofish are currently broken and cannot be used.

AUTHORS
Original version: Theodore Ts'o <tytso@athena.mit.edu>
Original DES by: Eric Young <eay@psych.psy.uq.oz.au>